//  main.cpp
//  My Savings Goal
//
//  Created by William Stenberg on 2020-09-28
//

#include <iostream> // included for cout and cin
#include <cmath> // included for pow

int main() {

    // pre-declared variables
    int deposit;
    int savings_goal = 0;
    double revenue;
    double year = 0;
    double total_savings_balance = 0.0;
    double revenue_percent = 0;

    // output and input to the console
    std::cout << " - My Savings Goal - \n";
    std::cout << ".....................\n";
    std::cout << "\n";
    std::cout << "Add the yearly sum you want to deposit: ";
    std::cin >> deposit; // users deposit input
    std::cout << "Add your savings goal: ";
    std::cin >> savings_goal; // users saving_goal input
    std::cout << "Add the revenue: ";
    std::cin >> revenue; // users revenue input
    
    revenue_percent = 1 + (revenue / 100); // users input revenue value in percent
    
    // while loop to increment years until savings goal is reached
    while (total_savings_balance < savings_goal) {
        year++; total_savings_balance = ((double)deposit * (pow(revenue_percent, year) - 1)) / (revenue_percent - 1);
        }
    
    // outputing the solution
    std::cout << "\n";
    std::cout << "With a revenue of " << revenue << " percent it will take " << year << " years to reach your savings goal.\n";
    std::cout << "Your total balance after " << year << " years will be " << total_savings_balance << " SEK.\n";
    std::cout << "\n";
    
    return 0; //
}
